<template>
  <div class="hero-foot">
    <nav class="level is-mobile">
      <div class="level-left">
        <div class="level-item">
          <gpane name="bottom left" transition="list">
            <a slot="toggle" class="button w-transparent w-borderless t-white">
              <span class="icon">
                <i class="basicfill basicfill-settings"></i>
              </span>
            </a>
            <gsettings slot="content" :settings="settings" name="theme"></gsettings>
          </gpane>
        </div>
      </div>
      <div class="level-right">
        <div class="level-item w-marginless">
          <gpane name="right bottom" transition="list">
            <a slot="toggle" class="button w-transparent w-borderless t-white">
              <span>Todos</span>
            </a>
            <todos-app slot="content" name="theme"></todos-app>
          </gpane>
        </div>
      </div>
    </nav>
  </div>
</template>

<script>
import todosApp from './../apps/todos/todosApp'
import Gpane from '../Gpane'
import Gsettings from '../Gsettings'

export default {
  name: 'heroFoot',
  components: {
    todosApp,
    Gpane,
    Gsettings
  },
  props:{
    settings: {
      type: Object,
      default: () =>{
        return {}
      }
    }
  }
}
</script>

